<?php
/* $Id: password_recovery.php 4472 2011-04-12 11:40:34Z denis $ */

$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -4 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require_once ($ROOT_FOLDER."connect_io.php");

$url = $parsed_url['path'].($parsed_url['query'] ? '?'.$parsed_url['query'] : '');
$url = str_replace($nc_core->SUB_FOLDER, '',$url);

list($catalogue, $sub) = $db->get_row("SELECT sub.Catalogue_ID, sub.Subdivision_ID FROM Subdivision AS sub WHERE sub.ExternalURL LIKE '%".$db->escape($url)."%'",ARRAY_N);
if (!$sub && isset($_GET['sub'])) $sub = (int)$_GET['sub'];
require($INCLUDE_FOLDER."index.php");
require($ADMIN_FOLDER."admin.inc.php");

eval("echo \"".$template_header."\";");

// check if user is a guest (deny password recovery then)
if (is_object($perm) && $perm->isGuest() )  {
  $warnText = NETCAT_MODERATION_ERROR_NORIGHT;
  eval("echo \"".$nc_core->get_settings('recovery_password_warn', 'auth')."\";");
  eval("echo \"$template_footer\";");
  exit;
}

// самостоятельное восстановление пароля запрещено
if ( $nc_core->get_settings('deny_recovery', 'auth') ) {
  eval("echo \"".$nc_core->get_settings('recovery_password_deny', 'auth')."\";");
  eval("echo \"$template_footer\";");
  exit;
}

// показ формы изменения пароля
if (isset($_GET['uid']) && isset($_GET['ucc'])) {
	$uid = (int)$_GET['uid'];
	$confirm_code = $db->get_var("SELECT `RegistrationCode` FROM User WHERE User_ID = '".$uid."'");
	
	if ($confirm_code == md5($_GET['ucc'].';-$')) {				
		echo $nc_auth->change_password_form();
	} 
  else {
    $warnText = NETCAT_MODULE_AUTH_NEWPASS_ERROR;
    eval("echo \"".$nc_core->get_settings('recovery_password_warn', 'auth')."\";");
	}
	eval("echo \"$template_footer\";");
	exit();
}

$fromname = $system_env['SpamFromName'];
$fromemail = $system_env['SpamFromEmail'];
$EmailField = $system_env['UserEmailField'];

// нет поля для Email
if ( !$EmailField ) {
  $warnText = NETCAT_MODULE_AUTH_ERR_NOFIELDSET;
  eval("echo \"".$nc_core->get_settings('recovery_password_warn', 'auth')."\";");
  eval("echo \"$template_footer\";");
	exit();
}

$warnText = '';
/**
 * Коды ошибок:
 * 1 - поля не заполнены
 * 2 - пользователь не найден
 */
$nc_error_num = 0;
$nc_err_text[1] = NETCAT_MODULE_AUTH_MSG_FILLFIELD;
$nc_err_text[2] = NETCAT_MODULE_AUTH_ERR_NOUSERFOUND;
// проверки
if ( $post ) {
  $Login = $db->escape($Login);
  $Email = $db->escape($Email);
  if (!$Login && !$Email) {
    $nc_error_num = 1;
  }
  else {
    // поиск пользователя
    $res = $db->get_row("SELECT `User_ID`, `".$EmailField."`, `".$AUTHORIZE_BY."`
                         FROM `User`
                         WHERE `Checked` = '1' AND ( 0
                         ".( $Email ? "OR `".$EmailField."`='".$Email."'" : "")."
                         ".( $Login ? "OR `".$AUTHORIZE_BY."`='".$Login."'" : "")."
                         )", ARRAY_N);
    if ( !$res ) {
      $nc_error_num = 2;
    }
    else {
      list($UserID, $UserEmail, $UserLogin) = $res;
    }
  }

  if ( $nc_error_num ) $post = 0;
}

// показ формы заполнения
if ( !$post ) {
  if ( $nc_error_num ) {
    $warnText = $nc_err_text[$nc_error_num];
    eval("echo \"".$nc_core->get_settings('recovery_password_warn', 'auth')."\";");
  }
  echo $nc_auth->recovery_password_form();
}
else { // сообственно, отправка письма
  $confirm_code = sha1(uniqid(time() - rand()));
  $mail_info = $nc_auth->get_recovery_mail ( $UserID ,$confirm_code );
 
  $db->query("UPDATE User SET RegistrationCode = '".md5($confirm_code.';-$')."' WHERE User_ID = '".$UserID."'");
  
  $mailer = new CMIMEMail();
  $mailer->mailbody(strip_tags($mail_info['body']), $mail_info['html'] ?  $mail_info['body'] : '');
  
  $mailer->send($UserEmail, $fromemail, $fromemail, $mail_info['subject'], $fromname);
  
  eval("echo \"".$nc_core->get_settings('recovery_password_after', 'auth')."\";");
}

eval("echo \"".$template_footer."\";");

?>