<?
/* $Id: function.inc.php 4509 2011-04-22 07:29:52Z gaika $ */

###############################################################

function InstallationAborted ()
{
    global $TMP_FOLDER;

    print TOOLS_MODULES_ERR_INSTALL.".<br>\n";
    DeleteFilesInDirectory ($TMP_FOLDER);
    EndHtml ();
    exit;
}

###############################################################

function UninstallationAborted ()
{
    global $TMP_FOLDER;

    print TOOLS_MODULES_ERR_UNINSTALL.".<br>\n";
    DeleteFilesInDirectory ($TMP_FOLDER);
    EndHtml ();
    exit;
}


###############################################################

function LoadID ()
{
    global $TMP_FOLDER;
    global $Keyword, $SystemVersion, $SystemID, $Patch, $Name;
    global $ExampleURL, $HelpURL, $Description, $Parameters, $SysMessage;

    $FileID = "id.txt";
    $fp = fopen ($TMP_FOLDER.$FileID, "r");
    $Keyword = chop (fgets($fp, 4096));
    $SystemID = chop (fgets($fp, 4096));
    $SystemVersion = chop (fgets($fp, 4096));
    $Patches = chop (fgets($fp, 4096));

    $tok = strtok($Patches," ");
    while ($tok)
    {
        $Patch [] = $tok;
        $tok = strtok(" ");
    }

    $Name = chop (fgets($fp, 4096));
    $ExampleURL = chop (fgets($fp, 4096));
    $HelpURL = chop (fgets($fp, 4096));
    $Description = chop (fgets($fp, 4096));

    fclose ($fp);

    $FileParam = "parameters.txt";
    $fp = fopen ($TMP_FOLDER.$FileParam, "r");
    while (!feof ($fp))
    {
        $Parameters .= fgets($fp, 4096);
    }
    fclose ($fp);
    if (MAIN_LANG!="ru")
    {
        $SysMessage = join("",@file($TMP_FOLDER."message_int.txt"));
    }
    else
    {
        $SysMessage = join("",@file($TMP_FOLDER."message.txt"));
    }

}

###############################################################

function CopyFiles () {
    global $TMP_FOLDER, $MODULE_FOLDER, $ROOT_FOLDER, $DOCUMENT_ROOT;
    global $Keyword;

    @mkdir ($MODULE_FOLDER.$Keyword, 0775);

    copy ($TMP_FOLDER."index.php", $MODULE_FOLDER.$Keyword."/index.php");
    copy ($TMP_FOLDER."function.inc.php", $MODULE_FOLDER.$Keyword."/function.inc.php");
    copy ($TMP_FOLDER."en.lang.php", $MODULE_FOLDER.$Keyword."/en.lang.php");
    copy ($TMP_FOLDER."ru.lang.php", $MODULE_FOLDER.$Keyword."/ru.lang.php");

    if(is_readable($TMP_FOLDER."admin.php"))	copy ($TMP_FOLDER."admin.php", $MODULE_FOLDER.$Keyword."/admin.php");
    if(is_readable($TMP_FOLDER."admin.inc.php"))	copy ($TMP_FOLDER."admin.inc.php", $MODULE_FOLDER.$Keyword."/admin.inc.php");
    if(is_readable($TMP_FOLDER."setup.php"))	copy ($TMP_FOLDER."setup.php", $MODULE_FOLDER.$Keyword."/setup.php");

    $FileList = "files.txt";
    $fp = fopen ($TMP_FOLDER.$FileList, "r");
    while (!feof ($fp)) {
        $file_name = chop (fgets($fp, 4096));
        if (strlen ($file_name) == 0) break;
        copy ($TMP_FOLDER.$file_name, $MODULE_FOLDER.$Keyword."/".basename($file_name));
    }
    fclose ($fp);

}

###############################################################

function CheckFiles () {
  global $TMP_FOLDER;

  $files = array("id.txt", "sql.txt", "sql_int.txt", "files.txt", "parameters.txt",
                "index.php", "install.php", "function.inc.php", "en.lang.php", "ru.lang.php");
  $files[] = ( MAIN_LANG!="ru" ) ? "message_int.txt" : "message.txt";

  foreach ( $files as $v ) {
    if (!is_readable ($TMP_FOLDER.$v) ) {
      print TOOLS_MODULES_ERR_CANTOPEN." ".$v.".<br />\n";
      InstallationAborted ();
    }
  }

}

###############################################################

function CheckDeps () {
global $TMP_FOLDER, $db, $Patch;

	$ReturnValue = 1;
	LoadID ();
	if (!count($Patch))	return $ReturnValue;

	$Array = $db->get_col("SELECT `Patch_Name` FROM `Patch`");

	while ( list($key, $val) = each($Patch) ) {
		$cmp = 0;
		for ($i=0; $i<count($Array); $i++) {
			if ( strcmp( (int)sprintf("%0-3s", $Array[$i]), (int)sprintf("%0-3s", $val) )==0 ) {
				$cmp++;
				break;
			}
		}
		if ($cmp==0) {
			print TOOLS_MODULES_ERR_PATCH." ".$val.".<br>\r\n";
			$ReturnValue = 0;
		}
	}

return $ReturnValue;
}

###############################################################

function IsAlreadyInstalled ()
{
    global $TMP_FOLDER, $db;
    global $Keyword;

    $select = "select Keyword from Module where Keyword='".$Keyword."'";
    $Result = $db->query ($select);
    if ( $db->num_rows > 0 )
    {
        return 1;
    }
    return 0;
}

###############################################################

/**
 * Вывод списка модулей
 *
 */
function ModuleList () {
  global $nc_core, $db, $UI_CONFIG;
  global $DOMAIN_NAME, $MODULE_FOLDER, $SUB_FOLDER, $HTTP_ROOT_PATH, $ADMIN_TEMPLATE;
  // загрузка всех модулей
  $nc_core->modules->load_env ($language, false, true, true);
  
  if ( ($modules = $nc_core->modules->get_data(1,1)) ) {

    $res = "<form name='adminForm' id='adminForm' method='post'>";
    $res .= "<table border='0' cellpadding='0' cellspacing='0' width='100%'><tr><td bgcolor='#cccccc'>
              <table border='0' cellpadding='4' cellspacing='1' width='100%'>
                <tr>
                  <td bgcolor='#eeeeee' width='20px'><font size='-2'><b></td>
                  <td bgcolor='#eeeeee' width='90%'><font size='-2'><b>".TOOLS_MODULES_MOD_NAME."</b></td>
                  <td bgcolor='#eeeeee' align='center'><font size='-2'><b>".TOOLS_MODULES_MOD_PREFS."</b></td>
                  <td bgcolor='#eeeeee' align='center'><font size='-2'><b>".NETCAT_MODULE_ONOFF."</b></td>
                </tr>";

    // проход по каждому модулю
    foreach ($modules as $module ) {
      $keyword = $module['Keyword'];
      $name = constant($module['Module_Name']);
      $modImg = file_exists($nc_core->ADMIN_TEMPLATE_FOLDER."img/i_module_".$keyword.".gif") ? "i_module_".$keyword.".gif" : "i_modules.gif";

      $res  .= "<tr><td bgcolor='#ffffff'><img src='".$nc_core->ADMIN_TEMPLATE."img/".$modImg."' alt='".$name."' title='".$name."' width='16' height='16'></td>";
      if ( !$module['Checked'] ) $name = "<font color='gray'>".$name."</font";
      $res .= "<td bgcolor='#ffffff'>
                 <table border='0' cellpadding='0' cellspacing='0' width='100%'>
                   <tr><td>".(file_exists($nc_core->MODULE_FOLDER.$keyword."/admin.php") && $module['Checked'] ?
                      "<a href=".$nc_core->SUB_FOLDER.$nc_core->HTTP_ROOT_PATH."modules/".$keyword."/admin.php>":"").$name.(file_exists($nc_core->MODULE_FOLDER.$keyword."/admin.php")?"</a>":"")."</td><td align='right'>".
                       (( file_exists($MODULE_FOLDER.$keyword."/setup.php") && (!$module["Installed"])) ?
                          "<a href=".$SUB_FOLDER.$HTTP_ROOT_PATH."modules/".$keyword."/setup.php><font size=-2 color=cc3300 ><b>".TOOLS_MODULES_MOD_GOINSTALL." &raquo;</a></td>":"").
                       "</td></tr></table>
               </td>";
      $res .= "<td align=center bgcolor=white><a href=\"index.php?phase=2&&module_name=".$keyword."\"><img border=0 src='".$ADMIN_TEMPLATE."img/i_settings".( $module['Checked'] ? "" : "_g").".gif' width='16' height='16' alt='".TOOLS_MODULES_MOD_EDIT."' title='".TOOLS_MODULES_MOD_EDIT."'></a></td>";
      $res .= "<td align=center bgcolor=white><input type='checkbox' name='check".$module['Module_ID']."' ".($module['Checked'] ? "checked" : "")." value='1' ></td>";
      $res .= "</tr>";
    }
    
    echo $res;
    echo "</table></td></tr></table>";
    echo $nc_core->token->get_input();
    echo "<input type='hidden' name='phase' value='6'></form>";
  }
  
  //кнопка "Сохранить изменения"
  $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                    "caption" => NETCAT_MODERATION_BUTTON_CHANGE,
                                    "action" => "mainView.submitIframeForm()");
}

###############################################################

function ModuleUpdateForm ($ModuleID) {
  global $db, $MODULE_FOLDER, $nc_core;
  global $ADMIN_PATH, $ADMIN_TEMPLATE;
  $ModuleID = intval($ModuleID);
  $Array = $db->get_row("SELECT * FROM `Module` WHERE `Module_ID` = '".$ModuleID."'", ARRAY_A);

  if ( !$Array['Checked'] ) {
    print NETCAT_MODULE_MODULE_UNCHECKED;
    return;
  }
 
  $keyword=$Array["Keyword"];

  if ($Array["Keyword"]!='default') {
    if(file_exists($MODULE_FOLDER.$keyword."/".MAIN_LANG.".lang.php")) {
        require_once($MODULE_FOLDER.$keyword."/".MAIN_LANG.".lang.php");
    } else {
        require_once($MODULE_FOLDER.$keyword."/en.lang.php");
    }
  }
  ?>
  <form method='post' action='index.php'>
  <font color='gray'>
  <?=constant($Array["Description"])?><br/><br/>

  <table cellpadding='5' cellspacing='1' style='background:#CCC; width:100%; border:none' id='tableParam'> 
     <col style='width:35%'/><col style='width:60%'/><col style='width:5%'/>
      <tbody>
       <tr>
          <td style='background:#EEE' align='center'><font size='-2'><b><?=NETCAT_MODULES_PARAM?></b></font></td>
          <td style='background:#EEE' align='center' ><font size='-2'><b><?=NETCAT_MODULES_VALUE?></b></font></td>
          <td style='background:#EEE' align='center'><img src='<?=$ADMIN_TEMPLATE?>img/i_delete.gif' width='16' height='16' alt='<?=CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWCATALOGUELIST_DELETE?>'></td>
       </tr>

  <?php
  $ParamArray = ConvertToDiffer($Array["Parameters"]);
  
  foreach ( $ParamArray as $k => $v ){
    print "<tr>\n";
    print " <td style='background:#FFF'><textarea rows='1' style = 'width:100%' name='Name_".$k."'>".htmlspecialchars($k)."</textarea></td>\n"; 
    print " <td style='background:#FFF'><textarea rows='1' style = 'width:100%' name='Value_".$k."'>".htmlspecialchars($v)."</textarea></td>\n";
    print " <td style='background:#FFF' align='center'><input type='checkbox' name='Delete_".$k."'></td>\n";
    print "</tr>\n";
  }
  print "</tbody></table>\n";
  print "<input type='hidden' name='ModuleID' value=".$ModuleID.">\n";
  print "<input type='hidden' name='phase' value='3'>";
  print $nc_core->token->get_input();

  global $UI_CONFIG, $module_name;
  print "<input type='hidden' name='module_name' value='".$module_name."'></form>";
  
  $UI_CONFIG = new ui_config_module($module_name, 'settings');
  $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                      "caption" => CONTROL_CONTENT_CATALOUGE_FUNCS_CATALOGUEFORM_SAVE,
                                      "action" => "mainView.submitIframeForm()");
  $UI_CONFIG->actionButtons[] = array("id" => "addparam",
                                      "caption" => NETCAT_MODULES_ADDPARAM,
                                      "align" => "left",
                                      "action" => "document.getElementById('mainViewIframe').contentWindow.ModulesAddNewParam()" );
}

###############################################################

function AddModuleForm () {
	$maxfilesize = ini_get('upload_max_filesize');
  global $db, $UI_CONFIG, $nc_core, $maxfilesize;

  echo "<form enctype='multipart/form-data' action='index.php' method='POST''>";
  echo "<input type='hidden' name='MAX_FILE_SIZE' value='".$maxfilesize."'>";
  echo "<fieldset>";
  echo "<legend><b>".TOOLS_MODULES_MOD_LOCAL."</b></legend>";
  echo "<input size='60' name='FilePatch' type='file'>";
  echo "</fieldset>";
  echo "<input type='hidden' name='phase' value='4'>";
  echo "<input type='submit' class='hidden'>";
  echo $nc_core->token->get_input();
  echo "</form>";
  $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                      "caption" => CONTROL_CLASS_IMPORT_UPLOAD,
                                      "action" => "mainView.submitIframeForm()");

}

/**
 * Функция сохранения настроек модуля
 * 
 * @return boolean true
 */

function ModuleUpdateCompleted() {
  global $db;

  reset($_POST);
  $Parameters = "";
 
  while (list($key, $val) = each($_POST)) {
    $key = trim($key);
    $val = trim($val);
    
    if (substr($key,0,4)=="Name") {
      if( $add && $tmpParam)
        $Parameters .= $tmpParam;
      $add = 1;
      $tmpParam = $val;
      $tmpParam .= "=";
      if( !$val )
          $add = 0;
    }
    else if (substr($key,0,5)=="Value") {
            $tmpParam .= $val;
            $tmpParam .= "\n";
    }
    
    else if (substr($key,0,6)=="Delete") {
           $add = 0;
    }
     
  }
   if( $add && $tmpParam)
        $Parameters .= $tmpParam;
        
  $ModuleID = intval($_POST['ModuleID']);
  
  $db->last_error = "";
  $db->query("UPDATE Module SET Parameters='".$db->escape($Parameters)."' WHERE Module_ID='".$ModuleID."'");

  if ( !$db->last_error ) {
    nc_print_status(TOOLS_MODULES_PREFS_SAVED, 'ok');
  } else {
    nc_print_status(TOOLS_MODULES_PREFS_ERROR, 'error');
  }
  
  return true;
}


function TitleModule ()
{
    global $perm;

    if ( ($perm->isSupervisor() || $perm->isGuest())) AddModuleForm ();
    ModuleList ();
}



/**
 * Convert parametr to diffrent parametrs
 * @param str 
 * @return array, hash - name of param
 */
function ConvertToDiffer ( $parametrs ) {
  $ret = Array();
  $parametr = explode( "\n", $parametrs );

  foreach ( $parametr as  $v) {
    $param_name = trim(strtok( $v, "=" ));
    $parm_value = trim(strtok(""));
    if( $param_name && substr($param_name, 0, 1) != '/' && substr($param_name, 0, 1) != '#' )
      $ret[$param_name] = $parm_value ;
  }
  
  return $ret;
}

/**
 * Включение\выключение модулей
 *
 * Порядок действий:
 * - загрузка всех модулей ( даже выключенных )
 * - определение, какие модули включились, какие выключились
 * - посылка событий
 *
 */
function ActionModulesCompleted () {
  global $nc_core;
  $db = $nc_core->db;
  
  $nc_core->modules->load_env ($language, false, true, true);
  $modules = $nc_core->modules->get_data(1,1);

  if ( !empty($modules) ) foreach ( $modules as $module ) {
    // старое и новое значние Checked
    $old_value = $module['Checked'];
    $new_value = $nc_core->input->fetch_get_post('check'.$module['Module_ID']);
    if ( $old_value == $new_value )  continue;
    // Обновление в таблице module
    $db->query("UPDATE `Module` SET `Checked` = '".intval($new_value)."' WHERE `Module_ID` = '".$module['Module_ID']."'");
    // событие в(ы)ключение модуля
    $nc_core->event->execute( $new_value ? "checkModule" : "uncheckModule", $module['Keyword']);
  }
}


?>