<?php
/*$Id: function.inc.php 4582 2011-05-04 11:50:51Z andrey $*/

/*
 * Вывод списка виджетов
 */
function nc_widget_list() {
  global $db, $ADMIN_PATH, $ADMIN_TEMPLATE, $UI_CONFIG;

  $select = "SELECT `Widget_Class_ID`, `Widget_ID`, `Name`, `Keyword` from `Widget` ORDER BY `Name`";
  if (($result = $db->get_results($select))) {
    echo  "<script type='text/javascript'>function showhide(id){e=document.getElementById(id);if(e.style.display=='none'){e.style.display='block';}else{e.style.display='none';}}</script>".
          "<script type='text/javascript'>function filter() {widget_filter=document.getElementById(\"widget_filter\").value;tagList = document.getElementsByName('widget');for (var i = 0; i < tagList.length; i++){if ('widget_'+widget_filter != tagList.item(i).className && widget_filter != 0){tagList.item(i).style.display='none';} else if (widget_filter == 0){tagList.item(i).style.display='block';} else {tagList.item(i).style.display='block';}}}</script>".
          "<script type='text/javascript' src='".$ADMIN_PATH."js/widget_prev.js'></script>".
          "<script type='text/javascript'>nc_widget_prev_obj = new nc_widget_prev();</script>";

    $categories = $db->get_results("SELECT `Category`, `Widget_Class_ID` FROM `Widget_Class` ORDER BY `Category`", ARRAY_A);

    $cat = (array) null;
    foreach ($categories as $c) {
      $new_cat[$c['Widget_Class_ID']] = $c['Category'];
      if (!in_array($c['Category'], $cat)) {
        $cat[] = $c['Category'];
      }
    }

    echo  "<font color='gray'>".WIDGET_LIST_CATEGORY.":&nbsp;&nbsp;</font>".
          "<select id='widget_filter' onchange='filter();return false;'>".
          "<option value='0' selected='selected'>".WIDGET_LIST_ALL."</option>";

    foreach ($cat as $c) {
    echo  "<option value='".md5($c)."'>".$c."</option>";
    }
    echo  "</select><br /><br />";

    foreach ($result as $r) {
      echo "<div class='widget_".md5($new_cat[$r->Widget_Class_ID])."' name='widget' style='display:block;margin:0 0 17px 0;'>".
           "<div class='nc_idtab'>".
           "<div class='nc_idtab_handler'></div>".
           "<div class='nc_idtab_id'>".
           "<div>&nbsp;&nbsp;".$r->Name." <a href='#' onclick='showhide(\"".$r->Keyword."\");return false;' style='text-decoration:none;border-bottom:1px dashed;'>".WIDGET_LIST_INSERT_CODE."</a>&nbsp;&nbsp;<a href='#' onclick='nc_widget_prev_obj.change(\"".$r->Keyword."\");return false;' style='text-decoration:none;border-bottom:1px dashed;'>".WIDGET_LIST_PREVIEW."</a></span></div>".
           "</div>".
           "<div class='nc_idtab_buttons'>".
           "<a href='admin.php?phase=20&widget_id=".$r->Widget_ID."'><img title='Копировать объект' alt='Копировать объект' src='/netcat/admin/skins/default/img/i_obj_copy.gif'></a>".
           "<a href='admin.php?phase=30&widget_id=".$r->Widget_ID."'><img title='изменить' alt='изменить' src='/netcat/admin/skins/default/img/i_obj_edit.gif'></a>".
           "<a href='admin.php?phase=60&widget_id=".$r->Widget_ID."'><img title='удалить' alt='удалить' src='/netcat/admin/skins/default/img/i_obj_delete.gif'></a>".
           "</div>".
           "<div class='ncf_row nc_clear'></div>".
           "</div>".
           "<div id='".$r->Keyword."' style='display:none;margin:15px 0 0 0;'><strong>".WIDGET_LIST_INSERT_CODE_CLASS.":</strong> \".\$nc_core->widget->show('".$r->Keyword."').\"<br /><strong>".WIDGET_LIST_INSERT_CODE_TEXT.":</strong> %NC_WIDGET_SHOW('".$r->Keyword."')%</div>".
           "<div id='prev_load_".$r->Keyword."' style='display:none;'>".WIDGET_LIST_LOAD."</div>".
           "<div id='prev_".$r->Keyword."' style='display:none;'></div>".
           "</div>";
    }
  }

  $UI_CONFIG->actionButtons[] = array("id" => "addClass",
    "caption" => WIDGETS_LIST_ADD,
    "action"  => "urlDispatcher.load('widgets.add()')");

}


/*
 * Вывод формы добавления виджета
 */
function nc_widget_add_form($params='', $widget_id='') {
  global $UI_CONFIG, $nc_core, $ADMIN_PATH;

  if ($widget_id > 0) {
    $params = $nc_core->widget->get_widget(intval($widget_id));
  }

  echo_widget_form($params);  
  echo  "<input type='hidden' name='phase' value='21'>".
        "<input type='hidden' name='widget_id' id ='widget_id' value='".$widget_id."'>".
        "<input type='submit' class='hidden'>".
        "</form>".
        "<script type='text/javascript' src='".$ADMIN_PATH."js/widget.js'></script>".
        "<script type='text/javascript'>nc_widget_obj = new nc_widget();</script>";

  $UI_CONFIG->actionButtons[] = array(
    "id" => "submit",
    "caption" => WIDGET_ADD_ADD,
    "action" => "mainView.submitIframeForm()"
  );
}


/*
 * Добавление виджета
 */
function nc_widget_add($params, $fields) {
  global $nc_core;
  $add = $nc_core->widget->add_widget($params, $fields);
  return $add;
}


/*
 * Вывод формы редактирования виджета
 */
function nc_widget_edit_form($params='', $widget_id='') {
  global $nc_core, $UI_CONFIG, $ADMIN_PATH;

  if ($params == '' && $widget_id > 0) {
    $params = $nc_core->widget->get_widget(intval($widget_id));
  }

  echo_widget_form($params);
  echo  "<input type='hidden' name='phase' value='31'>".
        "<input type='hidden' name='widget_id' id='widget_id' value='".$widget_id."'>".
        "<input type='submit' class='hidden'>".
        "</form>".
        "<script type='text/javascript' src='".$ADMIN_PATH."js/widget.js'></script>".
        "<script type='text/javascript'>nc_widget_obj = new nc_widget();</script>";

  $UI_CONFIG->actionButtons[] = array(
    "id" => "submit",
    "caption" => WIDGET_EDIT_SAVE,
    "action" => "mainView.submitIframeForm()"
  );

}


/*
 * Редактирование виджета
 */
function nc_widget_edit($widget_id, $params, $fields) {
  global $nc_core;
  $nc_core->widget->edit_widget(intval($widget_id), $params, $fields);
}


/*
 * Вывод формы удаления виджета
 */
function nc_widget_delete_warning($widget_id) {
  global $db, $UI_CONFIG;

  nc_print_status(WIDGET_DELETE, 'info');
  echo  "<form method='post' action='admin.php'>".
        "<input type='hidden' name='widget_id' value='".$widget_id."'>".
        "<input type='hidden' name='phase' value='61'>".
        "</form>";

  $UI_CONFIG->actionButtons[] = array(
    "id" => "submit",
    "caption" => WIDGET_DELETE_CONFIRMDELETE,
    "action" => "mainView.submitIframeForm()"
  );
}


/*
 * Удаление виджета
 */
function nc_widget_delete($id) {
  global $nc_core;
  $nc_core->widget->drop_widget(intval($id));
}


/*
 * Вывод списка виджет-компонентов
 */
function nc_widgetclass_list($category) {
  global $nc_core, $db, $ADMIN_PATH, $ADMIN_TEMPLATE, $UI_CONFIG;

  $result = $nc_core->widget->list_widgetclass();
  if ($result) {
    echo  "<form method='post' action='index.php'>".
          "<table border='0' cellpadding='0' cellspacing='0' width='100%'><tr><td bgcolor='cccccc'>".
          "<table border='0' cellpadding='4' cellspacing='1' width='100%'>".
          "<tr>".
          "<td bgcolor='eeeeee'><font size='-2'><b>ID</td>".
          "<td bgcolor='eeeeee' width='45%'><font size='-2'><b>".WIDGET_LIST_NAME."</b></td>".
          "<td bgcolor='eeeeee' width='45%>'<font size='-2'><b>".WIDGET_LIST_CATEGORY."</b></td>".
          "<td bgcolor='eeeeee' align='center'><font size='-2'><b>".WIDGET_LIST_GO."</b></td>".
          "<td bgcolor='eeeeee' align='center'><font size='-2'><b>".WIDGET_LIST_FIELDS."</b></td>".
          "<td bgcolor='eeeeee' align='center'><img src='".$ADMIN_TEMPLATE."img/i_delete.gif' width='16' height='16' alt='".WIDGET_LIST_DELETE."'></td>".
          "</tr>";
    foreach ($result as $key => $val) {
      if (md5($val['Category']) == $category || !isset($category)) {
        echo  "<tr>".
              "<td bgcolor='white'><font size='-2'><b>".$key."</td>".
              "<td bgcolor='white'><a href='index.php?phase=40&widgetclass_id=".$key."'>".$val['Name']."</a></td>".
              "<td bgcolor='white'><a href='index.php?phase=10&category=".md5($val['Category'])."'>".$val['Category']."</a></td>".
              "<td bgcolor='white' align='center'><font size='-2'><nobr>".
              "<a href='index.php?phase=30&widgetclass_id=".$key."'>".WIDGET_LIST_EDIT."</a>&nbsp;&nbsp;".
              "<a href='index.php?phase=50&widgetclass_id=".$key."'>".WIDGET_LIST_AT."</a></nobr></td>".
              "<td bgcolor='white' align='center'><font size='-2'><a href='".$ADMIN_PATH."field/index.php?widgetclass_id=".$key."'><img border='0' width='16' height='16' alt='".WIDGET_LIST_FIELDSLIST."' src='".$ADMIN_PATH."images/list.gif'></a></td>".
              "<td bgcolor='white' align='center'><input type='checkbox' name='Delete".$key."' value='".$key."'></td>".
              "</tr>";
      }
    }
    echo  "</table></td></tr></table>".
          "<input type=hidden name=phase value=60>".
          "<input type='submit' class='hidden'></form>";
  }

  if ($key) {
    $UI_CONFIG->actionButtons[] = array("id" => "submit",
      "caption" => WIDGET_LIST_DELETE_SELECTED,
      "action"  => "mainView.submitIframeForm()",
      "align"   => "left");
  }

  $UI_CONFIG->actionButtons[] = array("id" => "submit",
      "caption" => WIDGETS_LIST_IMPORT,
      "action"  => "urlDispatcher.load('widgetclass.import()')",
      "align"   => "left");

  $UI_CONFIG->actionButtons[] = array("id" => "addClass",
    "caption" => WIDGET_LIST_ADDWIDGET,
    "action"  => "urlDispatcher.load('widgetclass.add()')");
}


/*
 * Вывод списка шаблонов при создании нового виджет-компонента
 */
function nc_widgetclass_add_template($widget_group='') {
  global $db, $UI_CONFIG;

  $widgets = $db->get_results("SELECT `Widget_Class_ID` AS value, CONCAT(`Widget_Class_ID`, '. ', `Name`) AS description, `Category` AS optgroup FROM `Widget_Class` ORDER BY `Category`, `Widget_Class_ID`", ARRAY_A);
  echo  "<fieldset>".
        "<legend><b><font color='gray'>".WIDGET_ADD_CREATENEW_BASICOLD."</font></b></legend>".
        "<form method='get' style='padding:15px 20px 10px'>".
        "<table border='0' cellpadding='0' cellspacing='0'>".
        "<tr>".
        "<td width='80%'>".
        "<select name='widgetclass_id'>".
        "<option value='0'>".WIDGET_ADD_CREATENEW."</option>";
  if (!empty($widgets)) echo nc_select_options($widgets);
  echo  "</select>".
        "</td>".
        "<td>&nbsp;</td>".
        "</tr>".
        "</table>".
        "<input type='hidden' name='phase' value='21'>".
        "<input type='hidden' name='widget_group' value='".$widget_group."'>".
        "<input type='submit' class='hidden'>".
        "</form>".
        "</fieldset>";

  $UI_CONFIG->actionButtons[] = array(
    "id" => "submit",
    "caption" => WIDGET_ADD_CONTINUE,
    "action" => "mainView.submitIframeForm()"
  );
}


/*
 * Вывод формы добавления виджет-компонента
 */
function nc_widgetclass_add_form($params='', $widgetclass_id='', $widget_group='', $base_widgetclass_id='') {
  global $UI_CONFIG, $nc_core;

  if ($widgetclass_id > 0) {
    $params = $nc_core->widget->get_widgetclass(intval($widgetclass_id));
    $base_widgetclass_id = $widgetclass_id;
  }

  echo_widgetclass_form($params, '', $widget_group);  
  echo  "<input type='hidden' name='phase' value='22' />".
        "<input type='hidden' name='base_widgetclass_id' value='".$base_widgetclass_id."' />".
        "<input type='submit' class='hidden' />".
        "</form>";

  $UI_CONFIG->actionButtons[] = array(
    "id" => "submit",
    "caption" => WIDGETCLASS_ADD_ADD,
    "action" => "mainView.submitIframeForm()"
  );
}


/*
 * Добавление виджет-компонента
 */
function nc_widgetclass_add($params, $base_widgetclass_id='') {
  global $nc_core;
  $add = $nc_core->widget->add_widgetclass($params, 0, intval($base_widgetclass_id));
  return $add;
}


/*
 * Вывод формы редактирование виджет-компонента
 */
function nc_widgetclass_edit_form($params='', $widgetclass_id='', $phase) {
  global $nc_core, $UI_CONFIG;

  if ($params == '' && $widgetclass_id > 0) {
    $params = $nc_core->widget->get_widgetclass(intval($widgetclass_id));
  }

  echo_widgetclass_form($params, $phase);
  echo  "<input type='hidden' name='phase' value='31'>".
        "<input type='hidden' name='widgetclass_id' value='".$widgetclass_id."'>".
        "<input type='submit' class='hidden'>".
        "</form>";

  $UI_CONFIG->actionButtons[] = array(
    "id" => "submit",
    "caption" => WIDGET_EDIT_SAVE,
    "action" => "mainView.submitIframeForm()"
  );

}


/*
 * Редактирование виджет-компонента
 */
function nc_widgetclass_edit($widgetclass_id, $params) {
  global $nc_core;
  $nc_core->widget->edit_widgetclass(intval($widgetclass_id), $params);
}


/*
 * Вывод информации виджет-компонента
 */
function nc_widgetclass_info($widgetclass_id) {
  $nc_core = nc_Core::get_object();
  $info = $nc_core->widget->get_widgetclass(intval($widgetclass_id));
  $fields = $nc_core->db->get_results("SELECT `Field_Name`, `DefaultState`, `Description`
                              FROM `Field`
                              WHERE `Widget_Class_ID` = ".$widgetclass_id."", ARRAY_A);
  if ($fields)
      foreach($fields as $f) {
        $fields_desc .= "<tr><td>".$f['Field_Name']." - ".$f['Description']."</td></tr>";
        $fields_func[] = "'".$f['Field_Name']."' => ".($f['DefaultState'] ? "'".$f['DefaultState']."'" : "'...'");
      }

  echo  "<table border='0' cellpadding='6' cellspacing='1' width='100%'>".
        "<tr><td bgcolor='white'>".
        "<table border='0' cellpadding='0' cellspacing='0' width='100%'>".
        "<tr><td colspan='2'><b><font color='gray'>".WIDGET_INFO_DESCRIPTION."</font></td></tr>".
        "<tr><td>".($info['Description'] == '' ? WIDGET_INFO_DESCRIPTION_NONE : $info['Description'])."</td></tr><tr><td>&nbsp;&nbsp;</font></td></tr>";
  if (intval($info['InDevelop']) == 0) {
  echo  "<tr><td colspan='2'><b><font color='gray'>".WIDGET_INFO_PREVIEW."</font></td></tr>".
        "<tr><td>".$nc_core->widget->generate(''.$info['Keyword'].'')."</td></tr><td>&nbsp;&nbsp;</font></td></tr>".
        "<tr><td colspan='2'><b><font color='gray'>".WIDGET_INFO_INSERT."</font></td></tr>".
        "<tr><td>\$nc_core->widget->show('".$info['Keyword']."')</td></tr><td>&nbsp;&nbsp;</font></td></tr>";
  if ($info['WidgetDisallow'] != 1) {
  echo  "<tr><td colspan='2'><b><font color='gray'>".WIDGET_INFO_INSERT_TEXT."</font></td></tr>".
        "<tr><td>%NC_WIDGET_SHOW('".$info['Keyword']."')%</td></tr><td>&nbsp;&nbsp;</td></tr>";
  }
  echo  "<tr><td colspan='2'><b><font color='gray'>".WIDGET_INFO_GENERATE."</font></td></tr>".
        "<tr><td>\$nc_core->widget->generate('".$info['Keyword']."', array(". ($fields_func ? implode(', ', $fields_func) : "") ."))</td></tr><td>&nbsp;&nbsp;</td></tr>";

  echo $fields_desc;
  }
  echo  "</table>".
        "</table>";
}


/*
 * Вывод шаблонов действия виджет-компонента
 */
function nc_widgetclass_action_form($params='', $widgetclass_id='') {
  global $ROOT_FOLDER, $ClassGroup, $ADMIN_PATH, $UI_CONFIG, $db, $nc_core;
  if ($params == '' && $widgetclass_id > 0) {
    $params = $nc_core->widget->get_widgetclass(intval($widgetclass_id));
  }
  echo  "<form method='post' action='index.php'>".
        "<input type='hidden' name='widgetclass_id' value='".$widgetclass_id."'>".
        "<input type='hidden' name='phase' value='51'>";
  echo_resizeblock("AddForm");
  echo WIDGET_ACTION_ADDFORM." (<a href='#' onclick=\"generate_widget_form(".$widgetclass_id.", 'AddForm'); return false;\">".CONTROL_CLASS_CLASS_FORMS_ADDFORM_GEN."</a>)".":<br /><textarea rows='10' wrap='off' cols='60' name='AddForm' id='AddForm' >".htmlspecialchars($params['AddForm'])."</textarea><br /><br />";
  echo_resizeblock("EditForm");
  echo WIDGET_ACTION_EDITFORM.""." (<a href='#' onclick=\"generate_widget_form(".$widgetclass_id.", 'EditForm'); return false;\">".CONTROL_CLASS_CLASS_FORMS_EDITFORM_GEN."</a>)".":<br /><textarea rows='10' wrap='off' cols='60' name='EditForm' id='EditForm' >".htmlspecialchars($params['EditForm'])."</textarea><br /><br />";
  echo_resize_script();
  echo  "</form>";

  $UI_CONFIG->actionButtons[] = array(
    "id" => "submit",
    "caption" => WIDGET_EDIT_SAVE,
    "action" => "mainView.submitIframeForm()"
  );

}


/*
 * Сохрание шаблонов действия виджет-компонента
 */
function nc_widgetclass_action($widgetclass_id, $params) {
  global $nc_core;
  $nc_core->widget->edit_widgetclass(intval($widgetclass_id), $params);  
}


/*
 * Вывод формы подтверждения удаления виджет-компонента
 */
function nc_widgetclass_delete_warning($delete, $from_tree) {
  global $db, $UI_CONFIG;

  nc_print_status(WIDGET_DELETE_WARNING, 'info', array(CONTROL_CONTENT_CATALOUGE_FUNCS_CATALOGUEFORM_WARNING_SITEDELETE_I, CONTROL_CONTENT_CATALOUGE_FUNCS_CATALOGUEFORM_WARNING_SITEDELETE_U));
  echo  "<form method='post' action='index.php'>".
        "<input type='hidden' name='delete' value='".($from_tree == 1 ? $delete : implode(',', $delete))."'>".
        "<input type='hidden' name='from_tree' value='".$from_tree."'>".
        "<input type='hidden' name='phase' value='61'>".
        "</form>";

  $delete = (count($delete) > 1 ? $delete : (is_array($delete) ? $delete[0] : $delete));
  $widgetclass = $db->get_results("SELECT * FROM `Widget_Class` WHERE ".(count($delete) > 1 ?  "`Widget_Class_ID` IN (".implode(',', $delete).")" : " `Widget_Class_ID`='".$delete."'"), ARRAY_A);
  $widget = $db->get_results("SELECT * FROM `Widget`", ARRAY_A);
  foreach ($widgetclass as $wc) {
    echo "<span class='widgetclass-name'><strong>".WIDGET_LIST_DELETE_WIDGETCLASS."</strong> <a href='index.php?phase=30&widgetclass_id=".$wc['Widget_Class_ID']."'>".$wc['Name']."</a></span><br />";
    foreach ($widget as $w) {
        if ($w['Widget_Class_ID'] == $wc['Widget_Class_ID']) {     
          $widget_html .= "<span class='widget-name'> <a href='admin.php?phase=30&widget_id=".$w['Widget_ID']."'>".$w['Name']."</a></span>";
        }
    }
    if ($widget_html) {
      echo "<strong>".WIDGET_LIST_DELETE_WIDGET."</strong> ";
      echo $widget_html;
    }
    $widget_html = '';
    echo "<br /><br />";
  }

  $UI_CONFIG->actionButtons[] = array(
    "id" => "submit",
    "caption" => WIDGET_DELETE_CONFIRMDELETE,
    "action" => "mainView.submitIframeForm()"
  );
}


/*
 * Удаление виджет-компонента
 */
function nc_widgetclass_delete($delete, $from_tree) {
  global $nc_core;
  if ($from_tree == 1) {
    $nc_core->widget->drop_widgetclass(intval($delete));
    $nc_core->db->query("DELETE FROM `Field` WHERE `Widget_Class_ID`='".intval($delete)."'");
  } else {
    foreach (explode(',', $delete) as $d) {
      $nc_core->widget->drop_widgetclass(intval($d));
      $nc_core->db->query("DELETE FROM `Field` WHERE `Widget_Class_ID`='".intval($d)."'");
    }
  }
}

/*
 * Экспорт виджет-компонента
 */
function nc_widgetclass_export($widget_class_id) {
  global $db, $nc_core;

  $select = "SELECT * from `Widget_Class` 
             WHERE `Widget_Class_ID` = '".$widget_class_id."'";
  if (($result = $db->get_results($select, ARRAY_A))) {
    $fields = $db->get_results("SELECT `Field_Name`, `Description`, `TypeOfData_ID`, `Format`, `NotNull`, `Priority`, `DoSearch`, `DefaultState`, `Inheritance`, `Widget_Class_ID`, `TypeOfEdit_ID` from `Field` 
                                WHERE `Widget_Class_ID` = '".$widget_class_id."'", ARRAY_A);
    $ret =  "<?xml version='1.0' encoding='utf-8'?>\n".
            "<netcatml>\n".
            "  <widgetclasses>\n".
            "    <widgetclass>\n".
            "      <Name>".to_uni($result[0]['Name'])."</Name>\n".
            "      <Keyword>".$result[0]['Keyword']."</Keyword>\n".
            "      <Description><![CDATA[".to_uni(strip_new_line($result[0]['Description']))."]]></Description>\n".
            "      <Category>".to_uni($result[0]['Category'])."</Category>\n".
            "      <InDevelop>".$result[0]['InDevelop']."</InDevelop>\n".
            "      <Template><![CDATA[".to_uni(strip_new_line($result[0]['Template']))."]]></Template>\n".
            "      <Settings><![CDATA[".to_uni(strip_new_line($result[0]['Settings']))."]]></Settings>\n".
            "      <AddForm><![CDATA[".to_uni(strip_new_line($result[0]['AddForm']))."]]></AddForm>\n".
            "      <EditForm><![CDATA[".to_uni(strip_new_line($result[0]['EditForm']))."]]></EditForm>\n".
            "      <WidgetDisallow>".$result[0]['WidgetDisallow']."</WidgetDisallow>\n".
            "      <Update>".$result[0]['Update']."</Update>\n".
            "    </widgetclass>\n".
            "  </widgetclasses>\n".
            "  <fields>\n";
    foreach ($fields as $f) {
    $ret .= "    <field type_of_data_id='".$f['TypeOfData_ID']."'>\n";
    $ret .= "      <Field_Name>".$f['Field_Name']."</Field_Name>\n";
    $ret .= "      <Description><![CDATA[".to_uni(strip_new_line($f['Description']))."]]></Description>\n";
    $ret .= "      <Format>".$f['Format']."</Format>\n";
    $ret .= "      <NotNull>".$f['NotNull']."</NotNull>\n";
    $ret .= "      <Priority>".$f['Priority']."</Priority>\n";
    $ret .= "      <DoSearch>".$f['DoSearch']."</DoSearch>\n";
    $ret .= "      <DefaultState>".$f['DefaultState']."</DefaultState>\n";
    $ret .= "      <Inheritance>".$f['Inheritance']."</Inheritance>\n";
    $ret .= "      <TypeOfEdit_ID>".$f['TypeOfEdit_ID']."</TypeOfEdit_ID>\n";
    $ret .= "    </field>\n";
    }
    $ret .= "  </fields>\n".
            "</netcatml>\n";
  }

  return $ret;
}

function nc_widgetclass_import_form() {
  global $UI_CONFIG;
  echo "<form method='post' enctype='multipart/form-data'>".
       "<fieldset>".
  	   "<legend><font color='gray'><b>".WIDGET_IMPORT_CHOICE."</b></font></legend>".
  	   "<input size='40' type='file' name='import' />".
       "</fieldset><br/>".
       "<input type='hidden' name='phase' value='81' />".
       "</form>";

  $UI_CONFIG->actionButtons[] = array(
    "id" => "submit",
    "caption" => WIDGET_IMPORT,
    "action"  => "mainView.submitIframeForm()",
  );
}

function nc_widgetclass_import($import) {
  global $db, $nc_core;

  $file = to_uni(file_get_contents($import['tmp_name']));
  $xml = new SimpleXmlElement($file, LIBXML_NOCDATA);
  $widgetclass = array();
  $widgetclass['Name'] = (string) $xml->widgetclasses->widgetclass->Name;
  $widgetclass['Keyword'] = (string) $xml->widgetclasses->widgetclass->Keyword;
  $widgetclass['Description'] = (string) $xml->widgetclasses->widgetclass->Description;
  $widgetclass['Category'] = (string) $xml->widgetclasses->widgetclass->Category;
  $widgetclass['InDevelop'] = (string) $xml->widgetclasses->widgetclass->InDevelop;
  $widgetclass['Template'] = (string) $xml->widgetclasses->widgetclass->Template;
  $widgetclass['Settings'] = (string) $xml->widgetclasses->widgetclass->Settings;
  $widgetclass['AddForm'] = (string) $xml->widgetclasses->widgetclass->AddForm;
  $widgetclass['EditForm'] = (string) $xml->widgetclasses->widgetclass->EditForm;
  $widgetclass['WidgetDisallow'] = (string) $xml->widgetclasses->widgetclass->WidgetDisallow;
  $widgetclass['Update'] = (string) $xml->widgetclasses->widgetclass->Update;

  $id = $nc_core->widget->add_widgetclass($widgetclass, 1);

  $query = "INSERT INTO `Field` (`Field_Name`, `Description`, `Format`, `NotNull`, `Priority`, `DoSearch`, `DefaultState`, `Inheritance`, `Widget_Class_ID`, `TypeOfEdit_ID`, `TypeOfData_ID`) VALUES ";
  foreach ($xml->fields->field as $field) {
    $query_arr[] = "('".(string) $field->Field_Name."', '".(string) $field->Description."', '".(string) $field->Format."', ".(string) $field->NotNull.", ".(string) $field->Priority.", ".(string) $field->DoSearch.", '".(string) $field->DefaultState."', ".(string) $field->Inheritance.", ".$id.", ".(string) $field->TypeOfEdit_ID.", ".(string) $field->attributes()->type_of_data_id.")";  
  }
  $query .= implode(',',  $query_arr);
  $db->query($query);
  return $id;

}

/*
 *  Вспомогательные функции
 */

function to_uni($string) {
  global $nc_core;
  return ($nc_core->NC_UNICODE ? $string : $nc_core->utf8->win2utf($string));
}

function strip_new_line($string) {
  return str_replace(array("\r\n","\n","\r"), '', $string);
}

function echo_resizeblock($textarea_id) {
  echo "<div class='resize_block'> <a class='textarea_shrink' href='#".$textarea_id."' > &#x25BC; </a><a class='textarea_grow' href='#".$textarea_id."'> &#x25B2; </a></div>";
}

function echo_remind_script() {
  echo "<!--  START   REMIND_SAVE --><script type='text/javascript'>remind_widgetclass();</script><!-- END REMIND_SAVE -->";
}

function echo_resize_script() {
  echo  "<script type='text/javascript'>(function (){var links = document.getElementsByTagName('A');var onclicker_grow   = function (event) { ShrinkArea(event, 50);  };var onclicker_shrink = function (event) { ShrinkArea(event,-50);  };for (var i = 0 ; i < links.length ; i++){if (links[i].className.search('textarea_shrink') != -1 ) {bindEvent(links[i], 'click', onclicker_grow );}if (links[i].className.search('textarea_grow') != -1 ) {bindEvent(links[i], 'click', onclicker_shrink);}}}) ();</script>";
}


function echo_widgetclass_form($params, $phase='', $widget_group='') {
  global $ADMIN_PATH, $db, $nc_core;
  echo  "<fieldset>".
        "<legend><b>".WIDGET_ADD_INFO_ADDSLASHES."</b></legend>".
        "<form method='post' action='index.php'><br />".
        "<font color='gray'>".WIDGET_ADD_NAME.":</font><br />".
        "<input type='text' name='Name' size='50' value='".htmlspecialchars($params['Name'])."'><br /><br />".
        "<font color='gray'>".WIDGET_ADD_KEYWORD.":</font><br />".
        "<input type='text' name='Keyword' size='50' value='".htmlspecialchars($params['Keyword'])."'><br /><br />";

  $widgetCategory = $db->get_col("SELECT DISTINCT `Category` FROM `Widget_Class`");
  echo CONTROL_USER_GROUP.":<br /><select name='Category' style='width:auto;'>\n";
  foreach ($widgetCategory  as $wc) {
    if ($params['Category'] == $wc || $widget_group == md5($wc)) {
      echo("\t<option value='".$wc."' selected='selected'>".$wc."</option>\n");
    }
    else {
      echo("\t<option value='".$wc."'>".$wc."</option>\n");
    }
  }
  echo  "</select>&nbsp;&nbsp;&nbsp;".
        "".WIDGET_ADD_NEWGROUP."&nbsp;&nbsp;&nbsp;<input type='text' name='Category_New' size='25' maxlength='64' value='".htmlspecialchars($params['Category'])."'><br /><br />". 
        "</fieldset><br />".
        "<table border='0' cellpadding='6' cellspacing='0' width='100%' bgcolor='#F3F3F3'><tr><td colspan='2'>".
        "<div id='DescriptionOff' style='cursor: pointer;' onclick='this.style.display=\"none\";document.getElementById(\"DescriptionOn\").style.display=\"\";'>".
        "<font color='gray'> &#x25BA; ".WIDGET_ADD_DESCRIPTION."</font>".
        "</div>".
        "<div id='DescriptionOn' style='display: none'>".
        "<font color='gray' style='cursor: pointer;' onclick='document.getElementById(\"DescriptionOn\").style.display=\"none\";document.getElementById(\"DescriptionOff\").style.display=\"\";'> &#x25BC; ".WIDGET_ADD_DESCRIPTION. ":</font>".
        "<br /><textarea id='Description' wrap='OFF' rows='8' cols='60' name='Description'>".
        htmlspecialchars($params['Description']).
        "</textarea></div></td></tr></table><br />".

        "<b><font color='gray'>".WIDGET_ADD_OBJECTVIEW."</font></b>".
        "<table border='0' cellpadding='6' cellspacing='0' width='100%' bgcolor='#F3F3F3'>".
        "<tr>".
        "<td><a name='PageBodyLink' href='#PageBody' onclick='window.open('".$ADMIN_PATH."class/index.php?phase=12&formtype=class&window=opener&form=ClassForm&textarea=PageBody".(($type != 3) ? "&classid=".$ClassID."&systemclassid=0" : "&classid=0&systemclassid=".$ClassID)."','LIST','top=50, left=100,directories=no,height=600,location=no,menubar=no,resizable=no,scrollbars=yes,status=yes,toolbar=no,width=400')'>".WIDGET_ADD_SHOW_VAR_FUNC_LIST."</a><br />".
        "<div class='resize_block'> <a class='textarea_shrink' href='#PageBody' > &#x25BC; </a><a class='textarea_grow' href='#PageBody'> &#x25B2; </a></div>".
        "<font color='gray'>".WIDGET_ADD_PAGEBODY.":</font><br>".
        "<textarea id='PageBody' wrap='OFF' rows='10' cols='60' name='Template'>".htmlspecialchars($params['Template'])."</textarea>".
        "</td>".
        "</tr>".
        "</table>".
        "<br />".

        "<b><font color=gray>".WIDGET_ADD_DOPL."</font></b>".
        "<table border='0' cellpadding='6' cellspacing='0' width='100%' bgcolor='#F3F3F3'>".
        "<tr>".
        "<td colspan='2'>".
        "<font color='gray'><input type='checkbox' id='InDevelop' name='InDevelop' ".($params['InDevelop'] ? "checked" : "")." value='1'> <label for='InDevelop'>".WIDGET_ADD_DEVELOP."</label>".
        "</td>".
        "</tr>".

        "<tr>".
        "<td colspan='2'>".
        "<font color='gray'><input type='checkbox' id='WidgetDisallow' name='WidgetDisallow' ".($params['WidgetDisallow'] ? "checked" : "")." value='1'> <label for='WidgetDisallow'>".WIDGET_ADD_DISALLOW."</label>".
        "</td>".
        "</tr>".

        "<tr>".
        "<td colspan='2'>".
        "<font color='gray'>".WIDGET_ADD_UPDATE.":</font><br />".
        "<input type='text' name='Update' size='5' value='".htmlspecialchars($params['Update'])."'><br />".
        "</td>".
        "</tr>".

        "<tr>".
        "<td colspan='2'>".
        "<div class='resize_block'> <a class='textarea_shrink' href='#Settings' > &#x25BC; </a><a class='textarea_grow' href='#Settings'> &#x25B2; </a></div>".
        echo_resizeblock('Settings').
        "<font color='gray'>".WIDGET_ADD_SYSTEM.":</font><br /><textarea id='Settings' wrap='off' rows='8' cols='60' name='Settings'>".htmlspecialchars($params['Settings'])."</textarea>".
        "</td>".
        "</tr>".
        ($phase==30 ? "<tr><td colspan='2'><font color='gray'><a href='ExportToFile.php?widget_class_id=".$params['Widget_Class_ID']."&amp;".$nc_core->token->get_url()."'>".WIDGET_LIST_EXPORT."</a></font></td></tr>" : "").
        "</table>";
        echo_remind_script();
        echo_resize_script();
}


function echo_widget_form($params, $alter=0) {
  global $ADMIN_PATH, $db;
  if (!$alter) {
  $html .=  "<fieldset>".
            "<legend><b>".WIDGETS_PARAMS."</b></legend>".
            "<form method='get'><br />".
            "<font color='gray'>".WIDGET_ADD_NAME.":</font><br />".
            "<input type='text' name='Name' size='50' value='".htmlspecialchars($params['Name'])."'><br /><br />".
            "<font color='gray'>".WIDGET_ADD_KEYWORD.":</font><br />".
            "<input type='text' name='Keyword' size='50' value='".htmlspecialchars($params['Keyword'])."'><br /><br />";
  }
  $widgets = $db->get_results("SELECT `Widget_Class_ID` AS value, CONCAT(`Widget_Class_ID`, '. ', `Name`) AS description, `Category` AS optgroup FROM `Widget_Class` WHERE `InDevelop`='0' ORDER BY `Category`, `Widget_Class_ID`", ARRAY_A);
  $html .=  "<font color='gray'>".WIDGET_ADD_WK.":</font><br />".
            "<select name='Widget_Class_ID' id='Widget_Class_ID' onchange='nc_widget_obj.change();return false;'>";
  if (!empty($widgets)) $html .= nc_select_options($widgets, $params['Widget_Class_ID']);
  $html .=  "</select><br /><br /><div id='widget_fields'></div></fieldset>";
  if (!$alter) { echo $html; } else { return $html; }

}

function is_exist_keyword($keyword, $widget_class_id=0, $widget_id=0) {
  global $db;
  $query = ($widget_class_id ? "SELECT * FROM `Widget_Class` WHERE `Keyword`='".$keyword."' AND `Widget_Class_ID`<>'".$widget_class_id."'" : "SELECT * FROM `Widget` WHERE `Keyword`='".$keyword."'AND `Widget_ID`<>'".$widget_id."'");
  if (count($db->get_results($query)) == 1) {
    return 1;
  } else {
    return 0;
  }
}


/*
 * UI
 */
class ui_config_widgetclass extends ui_config {

  function ui_config_widgetclass($active_tab = 'edit', $class_id = 0, $class_group = '') {

    global $db, $nc_core, $MODULE_VARS;
    if ($class_id) {
    	$this->headerText = $db->get_var("SELECT Name FROM Widget_Class WHERE Widget_Class_ID = $class_id");
    } elseif ($class_group) {
    	$this->headerText = $db->get_var("SELECT Class_Group FROM Class WHERE md5(Class_Group) = '".$class_group."' GROUP BY Class_Group");
    } else {
    	$this->headerText = SECTION_CONTROL_WIDGETCLASS;
    }

    if ( in_array($active_tab, array('customadd', 'customedit', 'customsearch', 'customsubscribe', 'customdelete')) ) {
      $active_toolbar = $active_tab;
      $active_tab = 'classaction';
    }

    if ( $active_tab) $this->headerImage = 'i_widget_big.gif';

    if ($active_tab == 'add') {
      $this->tabs = array(
                       array('id' => 'add',
                             'caption' => CONTROL_WIDGETCLASS_ADD_ACTION,
                             'location' => "widgetclass.add($class_group)"));
    } elseif ($active_tab == 'addtemplate') {
      $this->tabs = array(
                       array('id' => 'addtemplate',
                             'caption' => CONTROL_CLASS_CLASS_TEMPLATE_ADD,
                             'location' => "widgetclass.addtemplate(".$class_id.")"));
    } elseif ($active_tab == 'delete') {
      $this->tabs = array(
                       array('id' => 'delete',
                             'caption' => CONTROL_CLASS_DELETE,
                             'location' => "widgetclass.delete($class_group)"));
    } elseif ($active_tab == 'import') {
      $this->tabs = array(
                       array('id' => 'import',
                             'caption' => WIDGET_IMPORT_TAB,
                             'location' => "widgetclass.import()"));
    } else {
      $this->tabs = array(
                       array('id' => 'info',
                             'caption' => WIDGET_TAB_INFO,
                             'location' => "widgetclass.info($class_id)"),
                       array('id' => 'edit',
                             'caption' => WIDGET_TAB_EDIT,
                             'location' => "widgetclass.edit($class_id)"),
                       array('id' => 'action',
                             'caption' => WIDGET_TAB_CUSTOM_ACTION,
                             'location' => "widgetclass.action($class_id)"),
                       array('id' => 'fields',
                             'caption' => CONTROL_CLASS_FIELDS,
                             'location' => "widgetclass.fields($class_id)"));
    }

    $this->activeTab = $active_tab;
    $this->activeToolbarButtons[] = $active_toolbar;

    if ($active_tab == 'add') {
      $this->locationHash = "#widgetclass.$active_tab($class_group)";
    }
    elseif ($active_tab == 'delete') {
      // иначе сбрасывается
    	//$this->locationHash = "#dataclass.".$active_tab."(".$class_id.")";
    }
    else {
      if ( $active_tab == 'classaction') {
    	  $this->locationHash = "#widgetclass.$active_toolbar($class_id)";
      }
      else if ( $active_tab == 'import') {
    	  $this->locationHash = "#widgetclass.$active_tab()";
      }
      else {
        $this->locationHash = "#widgetclass.$active_tab($class_id)";
      }
        $this->treeSelectedNode = "widgetclass-{$class_id}";
    }

    $this->treeMode = 'developer';
  }

  function updateTreeClassNode($class_id, $class_name) {

    $this->treeChanges['updateNode'][] = array("nodeId" => "sub-$node_id",
                                               "name" => "$node_id. $node_name");
  }

}

class ui_config_widgetclasses extends ui_config {
  function ui_config_widgetclasses($active_tab = 'widgetclass.list', $category='') {
    $this->headerText = SECTION_CONTROL_WIDGETCLASS;
    $this->headerImage = 'i_widget_big.gif';
    $this->tabs = array(
      array('id' => 'widgetclass.list',
        'caption' => SECTION_CONTROL_WIDGETCLASS_LIST,
        'location' => "widgetclass.list")
      );
    $this->activeTab = $active_tab;
    $this->locationHash = ($category != "" ? "#widgetgroup" : "#widgetclass.list");
    $this->treeMode = 'developer';
    $this->treeSelectedNode = ($category != "" ? "widgetgroup-".$category."" : "widgetclass.list");
  }
}

class ui_config_widgetes extends ui_config {
  function ui_config_widgetes($active_tab = 'widgets') {
    $this->headerText = SECTION_CONTROL_WIDGET;
    $this->headerImage = 'i_widget_big.gif';
    $this->tabs = array(
      array('id' => 'widgets',
        'caption' => SECTION_CONTROL_WIDGET_LIST,
        'location' => "widgets")
      );
    $this->activeTab = $active_tab;
    $this->locationHash = "#widgets";
    $this->treeMode = 'developer';
    $this->treeSelectedNode = "widgets";
  }
}


class ui_config_widget extends ui_config {

  function ui_config_widget($active_tab = 'edit', $class_id = 0, $class_group = '') {

    global $db, $nc_core, $MODULE_VARS;
    $this->headerText = SECTION_INDEX_DEV_WIDGETS;

    if ( in_array($active_tab, array('customadd', 'customedit', 'customsearch', 'customsubscribe', 'customdelete')) ) {
      $active_toolbar = $active_tab;
      $active_tab = 'classaction';
    }

    if ( $active_tab) $this->headerImage = 'i_widget_big.gif';

    if ($active_tab == 'add') {
      $this->tabs = array(
                       array('id' => 'add',
                             'caption' => CONTROL_WIDGET_ADD_ACTION,
                             'location' => "widgets.add($class_group)"));
    } elseif ($active_tab == 'addtemplate') {
      $this->tabs = array(
                       array('id' => 'addtemplate',
                             'caption' => CONTROL_CLASS_CLASS_TEMPLATE_ADD,
                             'location' => "widgets.addtemplate(".$class_id.")"));
    } elseif ($active_tab == 'delete') {
      $this->tabs = array(
                       array('id' => 'delete',
                             'caption' => CONTROL_CLASS_DELETE,
                             'location' => "widgets.delete($class_group)"));
    } elseif ($active_tab == 'edit') {
      $this->tabs = array(
                       array('id' => 'edit',
                             'caption' => CONTROL_WIDGET_ACTIONS_EDIT,
                             'location' => "widgets.edit($class_group)"));
    }
    $this->activeTab = $active_tab;
    $this->activeToolbarButtons[] = $active_toolbar;

    if ($active_tab == 'add') {
     $this->locationHash = "#widgets.$active_tab($class_group)";
//     $this->treeSelectedNode = "group-$class_group";
    }
    elseif ($active_tab == 'delete') {
      // иначе сбрасывается
     //$this->locationHash = "#dataclass.".$active_tab."(".$class_id.")";
    }
    else {
      if ( $active_tab == 'classaction') {
       $this->locationHash = "#widgets.$active_toolbar($class_id)";
      }
      else {
        $this->locationHash = "#widgets.$active_tab($class_id)";
      }
        $this->treeSelectedNode = "widgets-{$class_id}";
    }

    $this->treeMode = 'developer';
  }

  function updateTreeClassNode($class_id, $class_name) {

    $this->treeChanges['updateNode'][] = array("nodeId" => "sub-$node_id",
                                               "name" => "$node_id. $node_name");
  }

}


?>
