<?php
/* $Id: export.inc.php 4498 2011-04-19 16:45:17Z grigor $ */

// Экспорт шаблона
function CascadeExportClass ($ClassID) {
  // system superior object
  $nc_core = nc_Core::get_object();
  
  $db = &$nc_core->db;
  
  $VersionNumber = $nc_core->get_settings("VersionNumber");
  $SystemID = $nc_core->get_settings("SystemID");
  $LastPatch = $nc_core->get_settings("LastPatch");
  $ClassID = intval($ClassID);
  
  // Блокируем таблицы
   $LockTables = "LOCK TABLES `Class` WRITE, `Field` WRITE, ";
   $LockTables.= "`Message".$ClassID."` WRITE, ";
   $LockTables.= "`Sub_Class` WRITE";

   $LockResult = $db->query($LockTables);

   // Экспортируем данные из таблицы Class
   $SelectClass = $db->get_row("SELECT * FROM `Class` WHERE `Class_ID` = '".$ClassID."'", ARRAY_A);
  
   $FieldsForExport = array_keys($SelectClass);

   $Qry = array();
   foreach ($FieldsForExport as $Field) {
    // skip ID
    if ($Field=="Class_ID") continue;
    // component template export aborted!
    if ($Field=="ClassTemplate" && $SelectClass[$Field]!=0) {
      return false;
    }
    $Qry[] = "`".$Field."` = '".addcslashes($SelectClass[$Field], "\\'\r\n") ."'";
   }

   $TempText.= "INSERT INTO `Class` SET ".join(", ", $Qry).";\n";

  // component templates
  $ClassTemplatesArr = $db->get_results("SELECT * FROM `Class` WHERE `ClassTemplate` = '".$ClassID."'", ARRAY_A);

  if ( !empty($ClassTemplatesArr) ) {
    foreach ($ClassTemplatesArr as $row) {
      $Qry = array();
      foreach ($FieldsForExport as $Field) {
        // skip ID
        if ($Field=="Class_ID") continue;
        // set `ClassTemplate`
        if ($Field=="ClassTemplate") {
          $Qry[] = "`ClassTemplate` = '%INSERT_ID%'";
          continue;
        }
        $Qry[] = "`".$Field."` = '".addcslashes($row[$Field], "\\'\r\n") ."'";
      }
      // template str
      $TempText.= "INSERT INTO `Class` SET ".join(", ", $Qry).";\n";
    }
  }
  
   #Экспортируем данные из таблицы Field
   $classFields = $db->get_results("SELECT * FROM `Field` WHERE `Class_ID` = '".$ClassID."'");
  $db->query("SET SQL_QUOTE_SHOW_CREATE = 1");
  $temp_result = $db->get_row("SHOW CREATE TABLE `Message".$ClassID."`",ARRAY_N);
  $lastpos = strrpos($temp_result[1], ")");
  $CreateTable = nc_substr($temp_result[1], 0, $lastpos);
  $CreateTable = str_ireplace("CREATE TABLE `message".$ClassID."`", "CREATE TABLE `Message%INSERT_ID%`", $CreateTable);
  $CreateTable = str_ireplace(array("\r","\n"), "", $CreateTable);
  $CreateTable .= ") TYPE=MyISAM;\n ";

 
  $TempText.= $CreateTable;

  // Экспортируем данные из таблицы Field
  $classFields = $db->get_results("SELECT * FROM `Field` WHERE `Class_ID` = '".$ClassID."'");
  $insert = "";

  if ( !empty($classFields) ) {
    foreach ($classFields as $SelectField) {
      //определяем тип данных
      $alter = " ";

      switch ($SelectField->TypeOfData_ID) {
        case 1:
          $alter.= "char(255)";
        break;
        case 2:
          $alter.= "int";
        break;
        case 3:
          $alter.= "text";
        break;
        case 4:
          $alter.= "int";
        break;
        case 5:
          $alter.= "tinyint";
        break;
        case 6:
          $alter.= "char(255)";
        break;
        case 7:
          $alter.= "double";
        break;
        case 8:
          $alter.= "datetime";
        break;
        case 9:
          $alter.= "int";
        break;
        case 10:
          $alter.= "text";
        break;
      }

      if ($SelectField->DefaultState!="" && $SelectField->TypeOfData_ID!=3) {
        $alter.= " NOT NULL DEFAULT '".$SelectField->DefaultState."'";
      }
      elseif ($SelectField->NotNull) {
        $alter.= " NOT NULL";
      }
      else {
        $alter.= " NULL";
      }

      $insert.= "INSERT INTO Field (`Class_ID`, `Field_Name`, `Description`, `TypeOfData_ID`, `Format`, `NotNull`, `Priority`, `DoSearch`, `DefaultState`, `TypeOfEdit_ID`) VALUES";
      $insert.= " (%INSERT_ID%, '".str_replace("'", "\'", $SelectField->Field_Name)."', '".str_replace("'", "\'", $SelectField->Description)."', ".$SelectField->TypeOfData_ID.", '".str_replace("'", "\'", $SelectField->Format)."', ".$SelectField->NotNull.", ".$SelectField->Priority.", ".$SelectField->DoSearch.", '".str_replace("'", "\'", $SelectField->DefaultState)."', ".$SelectField->TypeOfEdit_ID.");\n";
    }
  }

  $TempText.= $insert;
  
  $db->query("UNLOCK TABLES");
  
  list($SystemName, $SystemColor) = nc_system_name_by_id($SystemID);
  
  $export_id_str = "-- NetCat ".$VersionNumber." ".$SystemName." [".$LastPatch."] component file, generated ".date("Y-m-d H:i:s");

  $ret = $VersionNumber."\n".$export_id_str."\n".$TempText;

  // все компоненты в utf-8
  if ( !$nc_core->NC_UNICODE ) $ret = $nc_core->utf8->win2utf($ret);
   
   return $ret;
}
?>