<?php
/* $Id: index.php 4500 2011-04-20 07:02:09Z andrey $ */

$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -2 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
@include_once ($NETCAT_FOLDER."vars.inc.php");

$curPos = isset($curPos) ? intval($curPos) : 0;
if ($curPos < 0) $curPos = 0;

if (!$action) $action = "index";

// подключаем систему и $nc_core
require ($INCLUDE_FOLDER."index.php");

// для админки
if ($inside_admin && $UI_CONFIG) {
  $UI_CONFIG->locationHash = "object.list(".$cc.")";
}

// site online?
if (!$current_catalogue["Checked"] && !(is_object($perm) && $perm->isSupervisor()) ) {
  echo $current_catalogue["ncOfflineText"];
  exit;
}

$nc_main_content = '';
switch (true) {
  case $use_multi_sub_class && !$cc_keyword:
    foreach ($cc_array as $cc) {
      if ($cc || $user_table_mode) {
        // поскольку компонентов несколько, то current_cc нужно переопределить
        $current_cc = $nc_core->sub_class->set_current_by_id($cc);
        // вывод списка объектов компонента
        $nc_main_content .= nc_objects_list($sub, $cc, $nc_core->url->get_parsed_url('query').( isset($date) ? "&date=".$date : "")."&isMainContent=1&isSubClassArray=1");
      }
    }
    // current_cc нужно вернуть в первоначальное состояние, чтобы использовать в футере макета
    $current_cc = $nc_core->sub_class->set_current_by_id($cc_array[0]);
  break;
  case $cc || $user_table_mode:
    // вывод списка объектов компонента
    $nc_main_content =  nc_objects_list($sub, $cc, $nc_core->url->get_parsed_url('query').( isset($date) ? "&date=".$date : "")."&isMainContent=1");
  break;
}

$nc_core->page->set_cuurent_metatags( $current_sub );

// template header
eval("echo \"".$template_header."\";");

if ( $nc_core->inside_admin && $nc_trash_full ) {
  nc_print_status(NETCAT_TRASH_OBJECT_WERE_DELETED_TRASHBIN_FULL, 'info');
}
if ( $nc_core->inside_admin && $nc_folder_fail ) {
  nc_print_status(sprintf(NETCAT_TRASH_FOLDER_FAIL, $nc_core->HTTP_TRASH_PATH), 'info');
}
if ( $nc_core->inside_admin && is_array($nc_trashed_ids) && !empty($nc_trashed_ids) ) {
  $url = http_build_query($_GET).'&nc_recovery=1';
  $url = $nc_core->SUB_FOLDER.$nc_core->HTTP_ROOT_PATH.'message.php?'.$url;
  nc_print_status(sprintf(NETCAT_TRASH_OBJECT_IN_TRASHBIN_AND_CANCEL, $nc_core->ADMIN_PATH."trash/", $url), 'info');
  unset($url);
}

echo $nc_main_content; 

// template footer
eval("echo \"".$template_footer."\";");

?>
